Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Botan::BER_Object Class Reference

`#include <asn1_obj.h>`

## Public Member Functions
void | assert_is_a (ASN1_Tag, ASN1_Tag)

## Public Attributes
ASN1_Tag | class_tag
ASN1_Tag | type_tag
secure_vector< uint8_t > | value

## Detailed Description

BER Encoded Object

Definition at line 85 of file asn1_obj.h.

## Member Function Documentation

void Botan::BER_Object::assert_is_a | ( | ASN1_Tag | type_tag_,
|  | ASN1_Tag | class_tag_
| ) |  |

Definition at line 145 of file ber_dec.cpp.

References Botan::ASN1::to_string().

Referenced by Botan::BER_Decoder::decode(), Botan::BER_Decoder::decode_null(), Botan::BER_Decoder::get_next_value(), and Botan::BER_Decoder::start_cons().

146 {
147 if(type_tag != type_tag_ || class_tag != class_tag_)
148 throw BER_Decoding_Error("Tag mismatch when decoding got " +
149 std::to_string(type_tag) + "/" +
150 std::to_string(class_tag) + " expected " +
151 std::to_string(type_tag_) + "/" +
152 std::to_string(class_tag_));
153 }
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47
Botan::BER_Object::class_tag
ASN1_Tag class_tag
Definition: asn1_obj.h:91
Botan::BER_Object::type_tag
ASN1_Tag type_tag
Definition: asn1_obj.h:91

## Member Data Documentation

ASN1_Tag Botan::BER_Object::class_tag

Definition at line 91 of file asn1_obj.h.

Referenced by Botan::BER_Decoder::BER_Decoder(), Botan::OID::decode_from(), Botan::AlternativeName::decode_from(), Botan::GeneralName::decode_from(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::decode_optional_implicit(), Botan::BER_Decoder::decode_optional_string(), and Botan::BER_Decoder::get_next_object().

ASN1_Tag Botan::BER_Object::type_tag

Definition at line 91 of file asn1_obj.h.

Referenced by Botan::BER_Decoder::BER_Decoder(), Botan::ASN1_String::decode_from(), Botan::OID::decode_from(), Botan::AlternativeName::decode_from(), Botan::X509_Time::decode_from(), Botan::GeneralName::decode_from(), Botan::OCSP::SingleResponse::decode_from(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::decode_optional_implicit(), Botan::BER_Decoder::decode_optional_string(), Botan::EC_Group::EC_Group(), Botan::BER_Decoder::get_next_object(), Botan::BER_Decoder::more_items(), Botan::BER_Decoder::push_back(), and Botan::BER_Decoder::verify_end().

secure_vector<uint8_t> Botan::BER_Object::value

Definition at line 94 of file asn1_obj.h.

Referenced by Botan::BER_Decoder::decode(), Botan::OID::decode_from(), Botan::AlternativeName::decode_from(), Botan::GeneralName::decode_from(), Botan::BER_Decoder::decode_null(), Botan::BER_Decoder::decode_optional(), Botan::BER_Decoder::decode_optional_string(), Botan::BER_Decoder::get_next_object(), Botan::BER_Decoder::get_next_value(), Botan::BER_Decoder::start_cons(), and Botan::ASN1::to_string().

The documentation for this class was generated from the following files:

- src/lib/asn1/asn1_obj.h
- src/lib/asn1/ber_dec.cpp